Qore MysqlSqlUtil Module Reference: MysqlSqlUtil::MysqlDatabase Class Reference

Qore MysqlSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Public Attributes | Private Attributes | List of all members
MysqlSqlUtil::MysqlDatabase Class Reference

provides the MySQL-specific implementation of the AbstractDatabase interface More...

Inheritance diagram for MysqlSqlUtil::MysqlDatabase:
[legend]

## Public Member Functions
private softint | getNextSequenceValueImpl (string name)
| returns the next value in the given sequence
private hash | getSchemaDescriptionOptions ()
| returns driver-specific options to the base abstract class
private list | listFunctionsImpl ()
| returns a list of string function names in the database More...
private list | listProceduresImpl ()
| returns a list of string procedure names in the database More...
private list | listTablesImpl ()
| returns a list of string table names in the database
private bool | supportsPackagesImpl ()
| returns True if the database supports packages
private bool | supportsSequencesImpl ()
| returns True since we have a workaround implementation for sequences in MySQL
private bool | supportsTypesImpl ()
| returns True if the database supports named types

## Public Attributes
const | MysqlSchemaDescriptionOptions
| MySQL-specific schema description keys.
const | MysqlSequenceFunction
| MySQL sequence function.
const | MysqlSequenceTable
| MySQL sequence emulation table.
const | MyusqlCreationOptions = AbstractDatabase::CreationOptions
| MySQL creation options.

## Private Attributes
Datasource | seqds
| separate datasource dedicated for extern sequence implementation with autonomous transactions

## Detailed Description

provides the MySQL-specific implementation of the AbstractDatabase interface

## Member Function Documentation

private list MysqlSqlUtil::MysqlDatabase::listFunctionsImpl | ( |  | ) |

returns a list of string function names in the database

The function names will include arguments in parentheses after the names

Returns
  a list of string function names in the database

private list MysqlSqlUtil::MysqlDatabase::listProceduresImpl | ( |  | ) |

returns a list of string procedure names in the database

The procedure names will include arguments in parentheses after the names

Returns
  a list of string procedure names in the database